Results 1 to 8 of 8

Thread: Dependencies

  1. #1
    Join Date
    Feb 2013
    Beans
    24

    Dependencies

    I installed Openshot video editor, but it does not work does not open. It seems to be a dependency problem, I think ... Something to do with "python-mlt5" which is not installed but another package is "python-mlt:i386 python-mlt". Can I install "python-mlt5" if so how? or will that mess things up?

    Cheers

  2. #2
    Join Date
    Sep 2006
    Location
    France.
    Beans
    Hidden!
    Distro
    Lubuntu Development Release

    Re: Dependencies

    Please post the outputs to :
    Code:
    sudo apt-get update
    sudo apt-get upgrade
    cat /etc/apt/sources.list
    ls /etc/apt/sources.list.d
    | My old and mostly abandoned blog |
    Linux user #413984 ; Ubuntu user #178
    J'aime les fraises.
    Nighty night me lovelies!

    | Reinstalling Ubuntu ? Please check this bug first ! |
    | Using a ppa ? Please install ppa-purge from universe, you may need it should you want to revert packages back |
    | No support requests by PM, thanks |

  3. #3
    Join Date
    Feb 2013
    Beans
    24

    Re: Dependencies

    Code:
    trainer@trainer:~$ sudo apt-get update
    Ign http://dl.google.com stable InRelease
    Ign http://dl.google.com stable InRelease                                      
    Hit http://dl.google.com stable Release.gpg                                    
    Hit http://dl.google.com stable Release.gpg                                    
    Ign http://ca.archive.ubuntu.com trusty InRelease                              
    Hit http://dl.google.com stable Release                                        
    Ign http://ppa.launchpad.net trusty InRelease                                  
    Ign http://extras.ubuntu.com trusty InRelease                                  
    Hit http://deb.opera.com stable InRelease                                      
    Ign http://ca.archive.ubuntu.com trusty-updates InRelease                      
    Hit http://dl.google.com stable Release                                        
    Hit http://dl.google.com stable/main amd64 Packages                            
    Ign http://ca.archive.ubuntu.com trusty-backports InRelease                    
    Ign http://ppa.launchpad.net trusty InRelease                                  
    Hit http://extras.ubuntu.com trusty Release.gpg                                
    Hit http://dl.google.com stable/main i386 Packages                             
    Hit http://deb.opera.com stable/non-free amd64 Packages                        
    Hit http://ca.archive.ubuntu.com trusty Release.gpg                            
    Hit http://ca.archive.ubuntu.com trusty-updates Release.gpg                    
    Ign http://ppa.launchpad.net trusty InRelease                                  
    Hit http://extras.ubuntu.com trusty Release                                    
    Hit http://ca.archive.ubuntu.com trusty-backports Release.gpg                  
    Hit http://dl.google.com stable/main amd64 Packages                            
    Hit http://deb.opera.com stable/non-free i386 Packages                         
    Hit http://dl.google.com stable/main i386 Packages                             
    Hit http://ca.archive.ubuntu.com trusty Release                                
    Hit http://ppa.launchpad.net trusty Release.gpg                                
    Hit http://extras.ubuntu.com trusty/main Sources                               
    Hit http://ca.archive.ubuntu.com trusty-updates Release                        
    Hit http://ca.archive.ubuntu.com trusty-backports Release                      
    Ign http://ppa.launchpad.net trusty Release.gpg                                
    Hit http://extras.ubuntu.com trusty/main amd64 Packages                        
    Hit http://ca.archive.ubuntu.com trusty/main Sources                           
    Hit http://ca.archive.ubuntu.com trusty/restricted Sources                     
    Hit http://ppa.launchpad.net trusty Release.gpg                                
    Hit http://extras.ubuntu.com trusty/main i386 Packages                         
    Hit http://ca.archive.ubuntu.com trusty/universe Sources                       
    Hit http://ca.archive.ubuntu.com trusty/multiverse Sources                     
    Hit http://ppa.launchpad.net trusty Release                                    
    Hit http://ca.archive.ubuntu.com trusty/main amd64 Packages                    
    Hit http://ca.archive.ubuntu.com trusty/restricted amd64 Packages              
    Ign http://ppa.launchpad.net trusty Release                                    
    Hit http://ca.archive.ubuntu.com trusty/universe amd64 Packages                
    Hit http://ca.archive.ubuntu.com trusty/multiverse amd64 Packages              
    Hit http://ppa.launchpad.net trusty Release                                    
    Hit http://ca.archive.ubuntu.com trusty/main i386 Packages                     
    Ign http://dl.google.com stable/main Translation-en_CA                         
    Hit http://ca.archive.ubuntu.com trusty/restricted i386 Packages               
    Ign http://dl.google.com stable/main Translation-en                            
    Hit http://ppa.launchpad.net trusty/main amd64 Packages                        
    Ign http://dl.google.com stable/main Translation-en_CA                         
    Ign http://dl.google.com stable/main Translation-en                            
    Hit http://ca.archive.ubuntu.com trusty/universe i386 Packages                 
    Hit http://ppa.launchpad.net trusty/main i386 Packages                         
    Hit http://ca.archive.ubuntu.com trusty/multiverse i386 Packages               
    Hit http://ca.archive.ubuntu.com trusty/main Translation-en_CA                 
    Hit http://ca.archive.ubuntu.com trusty/main Translation-en                    
    Ign http://deb.opera.com stable/non-free Translation-en_CA                     
    Hit http://ca.archive.ubuntu.com trusty/multiverse Translation-en              
    Ign http://deb.opera.com stable/non-free Translation-en                        
    Hit http://ca.archive.ubuntu.com trusty/restricted Translation-en              
    Hit http://ca.archive.ubuntu.com trusty/universe Translation-en_CA             
    Hit http://ca.archive.ubuntu.com trusty/universe Translation-en                
    Ign http://extras.ubuntu.com trusty/main Translation-en_CA                     
    Hit http://ca.archive.ubuntu.com trusty-updates/main Sources                   
    Hit http://ca.archive.ubuntu.com trusty-updates/restricted Sources             
    Ign http://extras.ubuntu.com trusty/main Translation-en                        
    Hit http://ca.archive.ubuntu.com trusty-updates/universe Sources               
    Hit http://ca.archive.ubuntu.com trusty-updates/multiverse Sources             
    Hit http://ca.archive.ubuntu.com trusty-updates/main amd64 Packages            
    Hit http://ca.archive.ubuntu.com trusty-updates/restricted amd64 Packages      
    Hit http://ppa.launchpad.net trusty/main amd64 Packages                        
    Hit http://ca.archive.ubuntu.com trusty-updates/universe amd64 Packages        
    Hit http://ca.archive.ubuntu.com trusty-updates/multiverse amd64 Packages      
    Hit http://ppa.launchpad.net trusty/main i386 Packages                         
    Hit http://ca.archive.ubuntu.com trusty-updates/main i386 Packages             
    Hit http://ca.archive.ubuntu.com trusty-updates/restricted i386 Packages       
    Hit http://ca.archive.ubuntu.com trusty-updates/universe i386 Packages         
    Hit http://ca.archive.ubuntu.com trusty-updates/multiverse i386 Packages       
    Hit http://ca.archive.ubuntu.com trusty-updates/main Translation-en            
    Hit http://ca.archive.ubuntu.com trusty-updates/multiverse Translation-en      
    Hit http://ca.archive.ubuntu.com trusty-updates/restricted Translation-en      
    Hit http://ca.archive.ubuntu.com trusty-updates/universe Translation-en        
    Hit http://ca.archive.ubuntu.com trusty-backports/main Sources                 
    Hit http://ca.archive.ubuntu.com trusty-backports/restricted Sources           
    Hit http://ca.archive.ubuntu.com trusty-backports/universe Sources             
    Hit http://ca.archive.ubuntu.com trusty-backports/multiverse Sources           
    Hit http://ca.archive.ubuntu.com trusty-backports/main amd64 Packages          
    Hit http://ca.archive.ubuntu.com trusty-backports/restricted amd64 Packages    
    Hit http://ca.archive.ubuntu.com trusty-backports/universe amd64 Packages      
    Hit http://ca.archive.ubuntu.com trusty-backports/multiverse amd64 Packages    
    Hit http://ca.archive.ubuntu.com trusty-backports/main i386 Packages           
    Ign http://security.ubuntu.com trusty-security InRelease                       
    Hit http://ca.archive.ubuntu.com trusty-backports/restricted i386 Packages
    Ign http://archive.canonical.com trusty InRelease                    
    Hit http://ca.archive.ubuntu.com trusty-backports/universe i386 Packages
    Hit http://security.ubuntu.com trusty-security Release.gpg                     
    Hit http://ca.archive.ubuntu.com trusty-backports/multiverse i386 Packages     
    Hit http://archive.canonical.com trusty Release.gpg                  
    Hit http://security.ubuntu.com trusty-security Release               
    Hit http://ca.archive.ubuntu.com trusty-backports/main Translation-en          
    Hit http://archive.canonical.com trusty Release                                
    Hit http://ca.archive.ubuntu.com trusty-backports/multiverse Translation-en    
    Hit http://security.ubuntu.com trusty-security/main Sources          
    Hit http://archive.canonical.com trusty/partner Sources              
    Hit http://ca.archive.ubuntu.com trusty-backports/restricted Translation-en
    Hit http://security.ubuntu.com trusty-security/restricted Sources    
    Hit http://archive.canonical.com trusty/partner amd64 Packages       
    Hit http://ca.archive.ubuntu.com trusty-backports/universe Translation-en
    Hit http://security.ubuntu.com trusty-security/universe Sources      
    Hit http://archive.canonical.com trusty/partner i386 Packages        
    Hit http://security.ubuntu.com trusty-security/multiverse Sources    
    Hit http://security.ubuntu.com trusty-security/main amd64 Packages   
    Hit http://security.ubuntu.com trusty-security/restricted amd64 Packages
    Hit http://security.ubuntu.com trusty-security/universe amd64 Packages
    Hit http://security.ubuntu.com trusty-security/multiverse amd64 Packages
    Hit http://security.ubuntu.com trusty-security/main i386 Packages    
    Hit http://security.ubuntu.com trusty-security/restricted i386 Packages
    Hit http://security.ubuntu.com trusty-security/universe i386 Packages
    Hit http://security.ubuntu.com trusty-security/multiverse i386 Packages
    Ign http://archive.canonical.com trusty/partner Translation-en_CA    
    Ign http://archive.canonical.com trusty/partner Translation-en       
    Hit http://security.ubuntu.com trusty-security/main Translation-en   
    Ign http://ppa.launchpad.net trusty/main Translation-en_CA           
    Hit http://security.ubuntu.com trusty-security/multiverse Translation-en
    Ign http://ppa.launchpad.net trusty/main Translation-en
    Err http://ppa.launchpad.net trusty/main amd64 Packages
      404  Not Found
    Hit http://security.ubuntu.com trusty-security/restricted Translation-en
    Err http://ppa.launchpad.net trusty/main i386 Packages
      404  Not Found
    Ign http://ca.archive.ubuntu.com trusty/multiverse Translation-en_CA
    Ign http://ca.archive.ubuntu.com trusty/restricted Translation-en_CA
    Ign http://ppa.launchpad.net trusty/main Translation-en_CA
    Hit http://security.ubuntu.com trusty-security/universe Translation-en        
    Ign http://ca.archive.ubuntu.com trusty-updates/main Translation-en_CA        
    Ign http://ppa.launchpad.net trusty/main Translation-en
    Ign http://ca.archive.ubuntu.com trusty-updates/multiverse Translation-en_CA
    Ign http://ca.archive.ubuntu.com trusty-updates/restricted Translation-en_CA
    Ign http://ppa.launchpad.net trusty/main Translation-en_CA
    Ign http://ca.archive.ubuntu.com trusty-updates/universe Translation-en_CA
    Ign http://ca.archive.ubuntu.com trusty-backports/main Translation-en_CA
    Ign http://ppa.launchpad.net trusty/main Translation-en
    Ign http://ca.archive.ubuntu.com trusty-backports/multiverse Translation-en_CA
    Ign http://ca.archive.ubuntu.com trusty-backports/restricted Translation-en_CA
    Ign http://ca.archive.ubuntu.com trusty-backports/universe Translation-en_CA
    Ign http://security.ubuntu.com trusty-security/main Translation-en_CA
    Ign http://security.ubuntu.com trusty-security/multiverse Translation-en_CA
    Ign http://security.ubuntu.com trusty-security/restricted Translation-en_CA
    Ign http://security.ubuntu.com trusty-security/universe Translation-en_CA
    W: Failed to fetch http://ppa.launchpad.net/jonoomph/op...amd64/Packages  404  Not Found
    
    
    W: Failed to fetch http://ppa.launchpad.net/jonoomph/op...-i386/Packages  404  Not Found
    
    
    E: Some index files failed to download. They have been ignored, or old ones used instead.
    Code:
    trainer@trainer:~$ sudo apt-get upgrade
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Calculating upgrade... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    Code:
    trainer@trainer:~$ cat /etc/apt/sources.list
    # deb cdrom:[Ubuntu 14.04 LTS _Trusty Tahr_ - Release amd64 (20140417)]/ trusty main restricted
    
    
    # See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
    # newer versions of the distribution.
    deb http://ca.archive.ubuntu.com/ubuntu/ trusty main restricted
    deb-src http://ca.archive.ubuntu.com/ubuntu/ trusty main restricted
    
    
    ## Major bug fix updates produced after the final release of the
    ## distribution.
    deb http://ca.archive.ubuntu.com/ubuntu/ trusty-updates main restricted
    deb-src http://ca.archive.ubuntu.com/ubuntu/ trusty-updates main restricted
    
    
    ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    ## team. Also, please note that software in universe WILL NOT receive any
    ## review or updates from the Ubuntu security team.
    deb http://ca.archive.ubuntu.com/ubuntu/ trusty universe
    deb-src http://ca.archive.ubuntu.com/ubuntu/ trusty universe
    deb http://ca.archive.ubuntu.com/ubuntu/ trusty-updates universe
    deb-src http://ca.archive.ubuntu.com/ubuntu/ trusty-updates universe
    
    
    ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
    ## team, and may not be under a free licence. Please satisfy yourself as to 
    ## your rights to use the software. Also, please note that software in 
    ## multiverse WILL NOT receive any review or updates from the Ubuntu
    ## security team.
    deb http://ca.archive.ubuntu.com/ubuntu/ trusty multiverse
    deb-src http://ca.archive.ubuntu.com/ubuntu/ trusty multiverse
    deb http://ca.archive.ubuntu.com/ubuntu/ trusty-updates multiverse
    deb-src http://ca.archive.ubuntu.com/ubuntu/ trusty-updates multiverse
    
    
    ## N.B. software from this repository may not have been tested as
    ## extensively as that contained in the main release, although it includes
    ## newer versions of some applications which may provide useful features.
    ## Also, please note that software in backports WILL NOT receive any review
    ## or updates from the Ubuntu security team.
    deb http://ca.archive.ubuntu.com/ubuntu/ trusty-backports main restricted universe multiverse
    deb-src http://ca.archive.ubuntu.com/ubuntu/ trusty-backports main restricted universe multiverse
    
    
    deb http://security.ubuntu.com/ubuntu trusty-security main restricted
    deb-src http://security.ubuntu.com/ubuntu trusty-security main restricted
    deb http://security.ubuntu.com/ubuntu trusty-security universe
    deb-src http://security.ubuntu.com/ubuntu trusty-security universe
    deb http://security.ubuntu.com/ubuntu trusty-security multiverse
    deb-src http://security.ubuntu.com/ubuntu trusty-security multiverse
    
    
    ## Uncomment the following two lines to add software from Canonical's
    ## 'partner' repository.
    ## This software is not part of Ubuntu, but is offered by Canonical and the
    ## respective vendors as a service to Ubuntu users.
    deb http://archive.canonical.com/ubuntu trusty partner
    deb-src http://archive.canonical.com/ubuntu trusty partner
    
    
    ## This software is not part of Ubuntu, but is offered by third-party
    ## developers who want to ship their latest software.
    deb http://extras.ubuntu.com/ubuntu trusty main
    deb-src http://extras.ubuntu.com/ubuntu trusty main
    Code:
    trainer@trainer:~$ ls /etc/apt/sources.list.d
    andrewsomething-typecatcher-trusty.list
    andrewsomething-typecatcher-trusty.list.save
    google-chrome.list
    google-chrome.list.save
    google-talkplugin.list
    google-talkplugin.list.save
    jonoomph-openshot-edge-trusty.list
    opera.list
    opera.list.save
    stebbins-handbrake-releases-trusty.list
    stebbins-handbrake-releases-trusty.list.save
    webupd8team-java-trusty.list
    webupd8team-java-trusty.list.save
    trainer@trainer:~$
    Last edited by bapoumba; June 6th, 2014 at 09:53 PM. Reason: Added code tags

  4. #4
    Join Date
    Sep 2006
    Location
    France.
    Beans
    Hidden!
    Distro
    Lubuntu Development Release

    Re: Dependencies

    Code:
    W: Failed to fetch http://ppa.launchpad.net/jonoomph/op...amd64/Packages  404  Not Found
    This one also gives a 404 here too. You need to remove it from your ppa list : jonoomph-openshot-edge-trusty.list
    | My old and mostly abandoned blog |
    Linux user #413984 ; Ubuntu user #178
    J'aime les fraises.
    Nighty night me lovelies!

    | Reinstalling Ubuntu ? Please check this bug first ! |
    | Using a ppa ? Please install ppa-purge from universe, you may need it should you want to revert packages back |
    | No support requests by PM, thanks |

  5. #5
    Join Date
    Feb 2013
    Beans
    24

    Re: Dependencies

    Thank you for your reply

    Do you see any other problems?

  6. #6
    Join Date
    Sep 2006
    Location
    France.
    Beans
    Hidden!
    Distro
    Lubuntu Development Release

    Re: Dependencies

    Quote Originally Posted by findingthebalance View Post
    Thank you for your reply

    Do you see any other problems?
    No obvious ones. Once done please run :
    Code:
    sudo apt-get update
    sudo apt-get upgrade
    and see if your initial error is fixed or not.
    | My old and mostly abandoned blog |
    Linux user #413984 ; Ubuntu user #178
    J'aime les fraises.
    Nighty night me lovelies!

    | Reinstalling Ubuntu ? Please check this bug first ! |
    | Using a ppa ? Please install ppa-purge from universe, you may need it should you want to revert packages back |
    | No support requests by PM, thanks |

  7. #7
    Join Date
    Feb 2013
    Beans
    24

    Re: Dependencies

    It is. Thank you.

  8. #8
    Join Date
    Sep 2006
    Location
    France.
    Beans
    Hidden!
    Distro
    Lubuntu Development Release

    Re: Dependencies

    Glad to see you fixed it
    Please mark your thread as solved (under Thread tools), thanks.
    | My old and mostly abandoned blog |
    Linux user #413984 ; Ubuntu user #178
    J'aime les fraises.
    Nighty night me lovelies!

    | Reinstalling Ubuntu ? Please check this bug first ! |
    | Using a ppa ? Please install ppa-purge from universe, you may need it should you want to revert packages back |
    | No support requests by PM, thanks |

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •